// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.13.0
// source: v1/order_mobile/offer_mobile.proto

package order_mobile

import (
	order "gitlab.com/fcpartners/apis/gen/order/v1/order"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Accept Offer
type AcceptOfferRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Offer id
	//
	// Deprecated: Do not use.
	Id int64 `protobuf:"varint,1,opt,name=id,proto3" json:"id,omitempty"`
	// Offers id
	Ids []int64 `protobuf:"varint,2,rep,packed,name=ids,proto3" json:"ids,omitempty"`
}

func (x *AcceptOfferRequest) Reset() {
	*x = AcceptOfferRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_mobile_offer_mobile_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AcceptOfferRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AcceptOfferRequest) ProtoMessage() {}

func (x *AcceptOfferRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_mobile_offer_mobile_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AcceptOfferRequest.ProtoReflect.Descriptor instead.
func (*AcceptOfferRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_mobile_offer_mobile_proto_rawDescGZIP(), []int{0}
}

// Deprecated: Do not use.
func (x *AcceptOfferRequest) GetId() int64 {
	if x != nil {
		return x.Id
	}
	return 0
}

func (x *AcceptOfferRequest) GetIds() []int64 {
	if x != nil {
		return x.Ids
	}
	return nil
}

type AcceptOfferResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Errors []*ResponseMessage `protobuf:"bytes,1,rep,name=errors,proto3" json:"errors,omitempty"`
}

func (x *AcceptOfferResponse) Reset() {
	*x = AcceptOfferResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_mobile_offer_mobile_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *AcceptOfferResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*AcceptOfferResponse) ProtoMessage() {}

func (x *AcceptOfferResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_mobile_offer_mobile_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use AcceptOfferResponse.ProtoReflect.Descriptor instead.
func (*AcceptOfferResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_mobile_offer_mobile_proto_rawDescGZIP(), []int{1}
}

func (x *AcceptOfferResponse) GetErrors() []*ResponseMessage {
	if x != nil {
		return x.Errors
	}
	return nil
}

type ResponseMessage struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	OfferId int64  `protobuf:"varint,1,opt,name=offer_id,json=offerId,proto3" json:"offer_id,omitempty"`
	Message string `protobuf:"bytes,2,opt,name=message,proto3" json:"message,omitempty"`
}

func (x *ResponseMessage) Reset() {
	*x = ResponseMessage{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_mobile_offer_mobile_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ResponseMessage) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ResponseMessage) ProtoMessage() {}

func (x *ResponseMessage) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_mobile_offer_mobile_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ResponseMessage.ProtoReflect.Descriptor instead.
func (*ResponseMessage) Descriptor() ([]byte, []int) {
	return file_v1_order_mobile_offer_mobile_proto_rawDescGZIP(), []int{2}
}

func (x *ResponseMessage) GetOfferId() int64 {
	if x != nil {
		return x.OfferId
	}
	return 0
}

func (x *ResponseMessage) GetMessage() string {
	if x != nil {
		return x.Message
	}
	return ""
}

type ListOfferMinEffectivePriceRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// filter.multi_order_id required
	Filter *order.OfferFilter `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
}

func (x *ListOfferMinEffectivePriceRequest) Reset() {
	*x = ListOfferMinEffectivePriceRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_mobile_offer_mobile_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListOfferMinEffectivePriceRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListOfferMinEffectivePriceRequest) ProtoMessage() {}

func (x *ListOfferMinEffectivePriceRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_mobile_offer_mobile_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListOfferMinEffectivePriceRequest.ProtoReflect.Descriptor instead.
func (*ListOfferMinEffectivePriceRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_mobile_offer_mobile_proto_rawDescGZIP(), []int{3}
}

func (x *ListOfferMinEffectivePriceRequest) GetFilter() *order.OfferFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

type ListOfferMinEffectivePriceResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items []*order.Offer `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
}

func (x *ListOfferMinEffectivePriceResponse) Reset() {
	*x = ListOfferMinEffectivePriceResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_mobile_offer_mobile_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListOfferMinEffectivePriceResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListOfferMinEffectivePriceResponse) ProtoMessage() {}

func (x *ListOfferMinEffectivePriceResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_mobile_offer_mobile_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListOfferMinEffectivePriceResponse.ProtoReflect.Descriptor instead.
func (*ListOfferMinEffectivePriceResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_mobile_offer_mobile_proto_rawDescGZIP(), []int{4}
}

func (x *ListOfferMinEffectivePriceResponse) GetItems() []*order.Offer {
	if x != nil {
		return x.Items
	}
	return nil
}

type ListOfferMaxEffectivePriceRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// filter.multi_order_id required
	Filter *order.OfferFilter `protobuf:"bytes,1,opt,name=filter,proto3" json:"filter,omitempty"`
}

func (x *ListOfferMaxEffectivePriceRequest) Reset() {
	*x = ListOfferMaxEffectivePriceRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_mobile_offer_mobile_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListOfferMaxEffectivePriceRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListOfferMaxEffectivePriceRequest) ProtoMessage() {}

func (x *ListOfferMaxEffectivePriceRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_mobile_offer_mobile_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListOfferMaxEffectivePriceRequest.ProtoReflect.Descriptor instead.
func (*ListOfferMaxEffectivePriceRequest) Descriptor() ([]byte, []int) {
	return file_v1_order_mobile_offer_mobile_proto_rawDescGZIP(), []int{5}
}

func (x *ListOfferMaxEffectivePriceRequest) GetFilter() *order.OfferFilter {
	if x != nil {
		return x.Filter
	}
	return nil
}

type ListOfferMaxEffectivePriceResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Items []*order.Offer `protobuf:"bytes,1,rep,name=items,proto3" json:"items,omitempty"`
}

func (x *ListOfferMaxEffectivePriceResponse) Reset() {
	*x = ListOfferMaxEffectivePriceResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_order_mobile_offer_mobile_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ListOfferMaxEffectivePriceResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ListOfferMaxEffectivePriceResponse) ProtoMessage() {}

func (x *ListOfferMaxEffectivePriceResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_order_mobile_offer_mobile_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ListOfferMaxEffectivePriceResponse.ProtoReflect.Descriptor instead.
func (*ListOfferMaxEffectivePriceResponse) Descriptor() ([]byte, []int) {
	return file_v1_order_mobile_offer_mobile_proto_rawDescGZIP(), []int{6}
}

func (x *ListOfferMaxEffectivePriceResponse) GetItems() []*order.Offer {
	if x != nil {
		return x.Items
	}
	return nil
}

var File_v1_order_mobile_offer_mobile_proto protoreflect.FileDescriptor

var file_v1_order_mobile_offer_mobile_proto_rawDesc = []byte{
	0x0a, 0x22, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c,
	0x65, 0x2f, 0x6f, 0x66, 0x66, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x12, 0x19, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x1a,
	0x13, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x65, 0x6e, 0x75, 0x6d, 0x2e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1a, 0x76, 0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x6d,
	0x6f, 0x64, 0x65, 0x6c, 0x5f, 0x6f, 0x66, 0x66, 0x65, 0x72, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x22, 0x3a, 0x0a, 0x12, 0x41, 0x63, 0x63, 0x65, 0x70, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x12, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x03, 0x42, 0x02, 0x18, 0x01, 0x52, 0x02, 0x69, 0x64, 0x12, 0x10, 0x0a, 0x03, 0x69, 0x64,
	0x73, 0x18, 0x02, 0x20, 0x03, 0x28, 0x03, 0x52, 0x03, 0x69, 0x64, 0x73, 0x22, 0x59, 0x0a, 0x13,
	0x41, 0x63, 0x63, 0x65, 0x70, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x42, 0x0a, 0x06, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x73, 0x18, 0x01, 0x20,
	0x03, 0x28, 0x0b, 0x32, 0x2a, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x2e,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x52,
	0x06, 0x65, 0x72, 0x72, 0x6f, 0x72, 0x73, 0x22, 0x46, 0x0a, 0x0f, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x4d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x12, 0x19, 0x0a, 0x08, 0x6f, 0x66,
	0x66, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x07, 0x6f, 0x66,
	0x66, 0x65, 0x72, 0x49, 0x64, 0x12, 0x18, 0x0a, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x07, 0x6d, 0x65, 0x73, 0x73, 0x61, 0x67, 0x65, 0x22,
	0x5c, 0x0a, 0x21, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x4d, 0x69, 0x6e, 0x45,
	0x66, 0x66, 0x65, 0x63, 0x74, 0x69, 0x76, 0x65, 0x50, 0x72, 0x69, 0x63, 0x65, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x37, 0x0a, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x18, 0x01,
	0x20, 0x01, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x46,
	0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x06, 0x66, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x22, 0x55, 0x0a,
	0x22, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x4d, 0x69, 0x6e, 0x45, 0x66, 0x66,
	0x65, 0x63, 0x74, 0x69, 0x76, 0x65, 0x50, 0x72, 0x69, 0x63, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x12, 0x2f, 0x0a, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x18, 0x01, 0x20, 0x03,
	0x28, 0x0b, 0x32, 0x19, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x05, 0x69,
	0x74, 0x65, 0x6d, 0x73, 0x22, 0x5c, 0x0a, 0x21, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65,
	0x72, 0x4d, 0x61, 0x78, 0x45, 0x66, 0x66, 0x65, 0x63, 0x74, 0x69, 0x76, 0x65, 0x50, 0x72, 0x69,
	0x63, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x37, 0x0a, 0x06, 0x66, 0x69, 0x6c,
	0x74, 0x65, 0x72, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1f, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4f,
	0x66, 0x66, 0x65, 0x72, 0x46, 0x69, 0x6c, 0x74, 0x65, 0x72, 0x52, 0x06, 0x66, 0x69, 0x6c, 0x74,
	0x65, 0x72, 0x22, 0x55, 0x0a, 0x22, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x4d,
	0x61, 0x78, 0x45, 0x66, 0x66, 0x65, 0x63, 0x74, 0x69, 0x76, 0x65, 0x50, 0x72, 0x69, 0x63, 0x65,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2f, 0x0a, 0x05, 0x69, 0x74, 0x65, 0x6d,
	0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x19, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4f, 0x66, 0x66,
	0x65, 0x72, 0x52, 0x05, 0x69, 0x74, 0x65, 0x6d, 0x73, 0x32, 0xca, 0x0e, 0x0a, 0x0c, 0x4f, 0x66,
	0x66, 0x65, 0x72, 0x53, 0x65, 0x72, 0x76, 0x69, 0x63, 0x65, 0x12, 0x61, 0x0a, 0x10, 0x4c, 0x69,
	0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x12, 0x2b,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x50, 0x72, 0x6f,
	0x63, 0x65, 0x73, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x69, 0x0a,
	0x14, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73,
	0x73, 0x54, 0x79, 0x70, 0x65, 0x12, 0x2f, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f,
	0x66, 0x66, 0x65, 0x72, 0x50, 0x72, 0x6f, 0x63, 0x65, 0x73, 0x73, 0x54, 0x79, 0x70, 0x65, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x75, 0x0a, 0x1a, 0x4c, 0x69, 0x73, 0x74,
	0x4f, 0x66, 0x66, 0x65, 0x72, 0x44, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x43, 0x6f, 0x6e,
	0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x35, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74,
	0x4f, 0x66, 0x66, 0x65, 0x72, 0x44, 0x65, 0x6c, 0x69, 0x76, 0x65, 0x72, 0x79, 0x43, 0x6f, 0x6e,
	0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12,
	0x73, 0x0a, 0x19, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x50, 0x61, 0x79, 0x6d,
	0x65, 0x6e, 0x74, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x34, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x50, 0x61, 0x79, 0x6d, 0x65,
	0x6e, 0x74, 0x43, 0x6f, 0x6e, 0x64, 0x69, 0x74, 0x69, 0x6f, 0x6e, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x63, 0x0a, 0x11, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65,
	0x72, 0x43, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x63, 0x79, 0x12, 0x2c, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c,
	0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x43, 0x75, 0x72, 0x72, 0x65, 0x6e, 0x63, 0x79,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63,
	0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x63, 0x0a, 0x11, 0x4c, 0x69, 0x73,
	0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x43, 0x61, 0x74, 0x65, 0x67, 0x6f, 0x72, 0x79, 0x12, 0x2c,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x43, 0x61, 0x74,
	0x65, 0x67, 0x6f, 0x72, 0x79, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66,
	0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x5d,
	0x0a, 0x0e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x42, 0x72, 0x61, 0x6e, 0x64,
	0x12, 0x29, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x42,
	0x72, 0x61, 0x6e, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x61, 0x0a,
	0x10, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x50, 0x72, 0x6f, 0x64, 0x75, 0x63,
	0x74, 0x12, 0x2b, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72,
	0x50, 0x72, 0x6f, 0x64, 0x75, 0x63, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x6b, 0x0a, 0x15, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x51, 0x75, 0x61,
	0x6e, 0x74, 0x69, 0x74, 0x79, 0x54, 0x79, 0x70, 0x65, 0x12, 0x30, 0x2e, 0x66, 0x63, 0x70, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c,
	0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x51, 0x75, 0x61, 0x6e, 0x74, 0x69, 0x74, 0x79,
	0x54, 0x79, 0x70, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x20, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x44, 0x69, 0x63, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x67, 0x0a,
	0x0e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x73, 0x12,
	0x29, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f,
	0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x4e, 0x61,
	0x6d, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2a, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x4e, 0x61, 0x6d, 0x65, 0x73, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x55, 0x0a, 0x08, 0x47, 0x65, 0x74, 0x4f, 0x66, 0x66,
	0x65, 0x72, 0x12, 0x23, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x24, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x74,
	0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x58, 0x0a,
	0x09, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x12, 0x24, 0x2e, 0x66, 0x63, 0x70,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e,
	0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x25, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x6c, 0x0a, 0x0b, 0x41, 0x63, 0x63, 0x65, 0x70,
	0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x12, 0x2d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69,
	0x6c, 0x65, 0x2e, 0x41, 0x63, 0x63, 0x65, 0x70, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x65,
	0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2e, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c,
	0x65, 0x2e, 0x41, 0x63, 0x63, 0x65, 0x70, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x99, 0x01, 0x0a, 0x1a, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66,
	0x66, 0x65, 0x72, 0x4d, 0x69, 0x6e, 0x45, 0x66, 0x66, 0x65, 0x63, 0x74, 0x69, 0x76, 0x65, 0x50,
	0x72, 0x69, 0x63, 0x65, 0x12, 0x3c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65,
	0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x4d, 0x69, 0x6e, 0x45, 0x66, 0x66,
	0x65, 0x63, 0x74, 0x69, 0x76, 0x65, 0x50, 0x72, 0x69, 0x63, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x3d, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x2e, 0x4c,
	0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x4d, 0x69, 0x6e, 0x45, 0x66, 0x66, 0x65, 0x63,
	0x74, 0x69, 0x76, 0x65, 0x50, 0x72, 0x69, 0x63, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x12, 0x99, 0x01, 0x0a, 0x1a, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x4d,
	0x61, 0x78, 0x45, 0x66, 0x66, 0x65, 0x63, 0x74, 0x69, 0x76, 0x65, 0x50, 0x72, 0x69, 0x63, 0x65,
	0x12, 0x3c, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x2e, 0x4c, 0x69, 0x73,
	0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x4d, 0x61, 0x78, 0x45, 0x66, 0x66, 0x65, 0x63, 0x74, 0x69,
	0x76, 0x65, 0x50, 0x72, 0x69, 0x63, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x3d,
	0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72,
	0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f,
	0x66, 0x66, 0x65, 0x72, 0x4d, 0x61, 0x78, 0x45, 0x66, 0x66, 0x65, 0x63, 0x74, 0x69, 0x76, 0x65,
	0x50, 0x72, 0x69, 0x63, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x61, 0x0a,
	0x0c, 0x47, 0x65, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x46, 0x69, 0x6c, 0x65, 0x12, 0x27, 0x2e,
	0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x46, 0x69, 0x6c, 0x65, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x28, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x47, 0x65, 0x74, 0x4f,
	0x66, 0x66, 0x65, 0x72, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x12, 0x64, 0x0a, 0x0d, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x46, 0x69, 0x6c,
	0x65, 0x12, 0x28, 0x2e, 0x66, 0x63, 0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72,
	0x46, 0x69, 0x6c, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x29, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72,
	0x2e, 0x4c, 0x69, 0x73, 0x74, 0x4f, 0x66, 0x66, 0x65, 0x72, 0x46, 0x69, 0x6c, 0x65, 0x52, 0x65,
	0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x42, 0x59, 0x0a, 0x1c, 0x63, 0x6f, 0x6d, 0x2e, 0x66, 0x63,
	0x70, 0x2e, 0x61, 0x70, 0x69, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f,
	0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0x50, 0x01, 0x5a, 0x34, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62,
	0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x66, 0x63, 0x70, 0x61, 0x72, 0x74, 0x6e, 0x65, 0x72, 0x73, 0x2f,
	0x61, 0x70, 0x69, 0x73, 0x2f, 0x67, 0x65, 0x6e, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x2f, 0x76,
	0x31, 0x2f, 0x6f, 0x72, 0x64, 0x65, 0x72, 0x5f, 0x6d, 0x6f, 0x62, 0x69, 0x6c, 0x65, 0xba, 0x02,
	0x00, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_order_mobile_offer_mobile_proto_rawDescOnce sync.Once
	file_v1_order_mobile_offer_mobile_proto_rawDescData = file_v1_order_mobile_offer_mobile_proto_rawDesc
)

func file_v1_order_mobile_offer_mobile_proto_rawDescGZIP() []byte {
	file_v1_order_mobile_offer_mobile_proto_rawDescOnce.Do(func() {
		file_v1_order_mobile_offer_mobile_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_order_mobile_offer_mobile_proto_rawDescData)
	})
	return file_v1_order_mobile_offer_mobile_proto_rawDescData
}

var file_v1_order_mobile_offer_mobile_proto_msgTypes = make([]protoimpl.MessageInfo, 7)
var file_v1_order_mobile_offer_mobile_proto_goTypes = []interface{}{
	(*AcceptOfferRequest)(nil),                      // 0: fcp.order.v1.order_mobile.AcceptOfferRequest
	(*AcceptOfferResponse)(nil),                     // 1: fcp.order.v1.order_mobile.AcceptOfferResponse
	(*ResponseMessage)(nil),                         // 2: fcp.order.v1.order_mobile.ResponseMessage
	(*ListOfferMinEffectivePriceRequest)(nil),       // 3: fcp.order.v1.order_mobile.ListOfferMinEffectivePriceRequest
	(*ListOfferMinEffectivePriceResponse)(nil),      // 4: fcp.order.v1.order_mobile.ListOfferMinEffectivePriceResponse
	(*ListOfferMaxEffectivePriceRequest)(nil),       // 5: fcp.order.v1.order_mobile.ListOfferMaxEffectivePriceRequest
	(*ListOfferMaxEffectivePriceResponse)(nil),      // 6: fcp.order.v1.order_mobile.ListOfferMaxEffectivePriceResponse
	(*order.OfferFilter)(nil),                       // 7: fcp.order.v1.order.OfferFilter
	(*order.Offer)(nil),                             // 8: fcp.order.v1.order.Offer
	(*order.ListOfferProcessRequest)(nil),           // 9: fcp.order.v1.order.ListOfferProcessRequest
	(*order.ListOfferProcessTypeRequest)(nil),       // 10: fcp.order.v1.order.ListOfferProcessTypeRequest
	(*order.ListOfferDeliveryConditionRequest)(nil), // 11: fcp.order.v1.order.ListOfferDeliveryConditionRequest
	(*order.ListOfferPaymentConditionRequest)(nil),  // 12: fcp.order.v1.order.ListOfferPaymentConditionRequest
	(*order.ListOfferCurrencyRequest)(nil),          // 13: fcp.order.v1.order.ListOfferCurrencyRequest
	(*order.ListOfferCategoryRequest)(nil),          // 14: fcp.order.v1.order.ListOfferCategoryRequest
	(*order.ListOfferBrandRequest)(nil),             // 15: fcp.order.v1.order.ListOfferBrandRequest
	(*order.ListOfferProductRequest)(nil),           // 16: fcp.order.v1.order.ListOfferProductRequest
	(*order.ListOfferQuantityTypeRequest)(nil),      // 17: fcp.order.v1.order.ListOfferQuantityTypeRequest
	(*order.ListOfferNamesRequest)(nil),             // 18: fcp.order.v1.order.ListOfferNamesRequest
	(*order.GetOfferRequest)(nil),                   // 19: fcp.order.v1.order.GetOfferRequest
	(*order.ListOfferRequest)(nil),                  // 20: fcp.order.v1.order.ListOfferRequest
	(*order.GetOfferFileRequest)(nil),               // 21: fcp.order.v1.order.GetOfferFileRequest
	(*order.ListOfferFileRequest)(nil),              // 22: fcp.order.v1.order.ListOfferFileRequest
	(*order.DictResponse)(nil),                      // 23: fcp.order.v1.order.DictResponse
	(*order.ListOfferNamesResponse)(nil),            // 24: fcp.order.v1.order.ListOfferNamesResponse
	(*order.GetOfferResponse)(nil),                  // 25: fcp.order.v1.order.GetOfferResponse
	(*order.ListOfferResponse)(nil),                 // 26: fcp.order.v1.order.ListOfferResponse
	(*order.GetOfferFileResponse)(nil),              // 27: fcp.order.v1.order.GetOfferFileResponse
	(*order.ListOfferFileResponse)(nil),             // 28: fcp.order.v1.order.ListOfferFileResponse
}
var file_v1_order_mobile_offer_mobile_proto_depIdxs = []int32{
	2,  // 0: fcp.order.v1.order_mobile.AcceptOfferResponse.errors:type_name -> fcp.order.v1.order_mobile.ResponseMessage
	7,  // 1: fcp.order.v1.order_mobile.ListOfferMinEffectivePriceRequest.filter:type_name -> fcp.order.v1.order.OfferFilter
	8,  // 2: fcp.order.v1.order_mobile.ListOfferMinEffectivePriceResponse.items:type_name -> fcp.order.v1.order.Offer
	7,  // 3: fcp.order.v1.order_mobile.ListOfferMaxEffectivePriceRequest.filter:type_name -> fcp.order.v1.order.OfferFilter
	8,  // 4: fcp.order.v1.order_mobile.ListOfferMaxEffectivePriceResponse.items:type_name -> fcp.order.v1.order.Offer
	9,  // 5: fcp.order.v1.order_mobile.OfferService.ListOfferProcess:input_type -> fcp.order.v1.order.ListOfferProcessRequest
	10, // 6: fcp.order.v1.order_mobile.OfferService.ListOfferProcessType:input_type -> fcp.order.v1.order.ListOfferProcessTypeRequest
	11, // 7: fcp.order.v1.order_mobile.OfferService.ListOfferDeliveryCondition:input_type -> fcp.order.v1.order.ListOfferDeliveryConditionRequest
	12, // 8: fcp.order.v1.order_mobile.OfferService.ListOfferPaymentCondition:input_type -> fcp.order.v1.order.ListOfferPaymentConditionRequest
	13, // 9: fcp.order.v1.order_mobile.OfferService.ListOfferCurrency:input_type -> fcp.order.v1.order.ListOfferCurrencyRequest
	14, // 10: fcp.order.v1.order_mobile.OfferService.ListOfferCategory:input_type -> fcp.order.v1.order.ListOfferCategoryRequest
	15, // 11: fcp.order.v1.order_mobile.OfferService.ListOfferBrand:input_type -> fcp.order.v1.order.ListOfferBrandRequest
	16, // 12: fcp.order.v1.order_mobile.OfferService.ListOfferProduct:input_type -> fcp.order.v1.order.ListOfferProductRequest
	17, // 13: fcp.order.v1.order_mobile.OfferService.ListOfferQuantityType:input_type -> fcp.order.v1.order.ListOfferQuantityTypeRequest
	18, // 14: fcp.order.v1.order_mobile.OfferService.ListOfferNames:input_type -> fcp.order.v1.order.ListOfferNamesRequest
	19, // 15: fcp.order.v1.order_mobile.OfferService.GetOffer:input_type -> fcp.order.v1.order.GetOfferRequest
	20, // 16: fcp.order.v1.order_mobile.OfferService.ListOffer:input_type -> fcp.order.v1.order.ListOfferRequest
	0,  // 17: fcp.order.v1.order_mobile.OfferService.AcceptOffer:input_type -> fcp.order.v1.order_mobile.AcceptOfferRequest
	3,  // 18: fcp.order.v1.order_mobile.OfferService.ListOfferMinEffectivePrice:input_type -> fcp.order.v1.order_mobile.ListOfferMinEffectivePriceRequest
	5,  // 19: fcp.order.v1.order_mobile.OfferService.ListOfferMaxEffectivePrice:input_type -> fcp.order.v1.order_mobile.ListOfferMaxEffectivePriceRequest
	21, // 20: fcp.order.v1.order_mobile.OfferService.GetOfferFile:input_type -> fcp.order.v1.order.GetOfferFileRequest
	22, // 21: fcp.order.v1.order_mobile.OfferService.ListOfferFile:input_type -> fcp.order.v1.order.ListOfferFileRequest
	23, // 22: fcp.order.v1.order_mobile.OfferService.ListOfferProcess:output_type -> fcp.order.v1.order.DictResponse
	23, // 23: fcp.order.v1.order_mobile.OfferService.ListOfferProcessType:output_type -> fcp.order.v1.order.DictResponse
	23, // 24: fcp.order.v1.order_mobile.OfferService.ListOfferDeliveryCondition:output_type -> fcp.order.v1.order.DictResponse
	23, // 25: fcp.order.v1.order_mobile.OfferService.ListOfferPaymentCondition:output_type -> fcp.order.v1.order.DictResponse
	23, // 26: fcp.order.v1.order_mobile.OfferService.ListOfferCurrency:output_type -> fcp.order.v1.order.DictResponse
	23, // 27: fcp.order.v1.order_mobile.OfferService.ListOfferCategory:output_type -> fcp.order.v1.order.DictResponse
	23, // 28: fcp.order.v1.order_mobile.OfferService.ListOfferBrand:output_type -> fcp.order.v1.order.DictResponse
	23, // 29: fcp.order.v1.order_mobile.OfferService.ListOfferProduct:output_type -> fcp.order.v1.order.DictResponse
	23, // 30: fcp.order.v1.order_mobile.OfferService.ListOfferQuantityType:output_type -> fcp.order.v1.order.DictResponse
	24, // 31: fcp.order.v1.order_mobile.OfferService.ListOfferNames:output_type -> fcp.order.v1.order.ListOfferNamesResponse
	25, // 32: fcp.order.v1.order_mobile.OfferService.GetOffer:output_type -> fcp.order.v1.order.GetOfferResponse
	26, // 33: fcp.order.v1.order_mobile.OfferService.ListOffer:output_type -> fcp.order.v1.order.ListOfferResponse
	1,  // 34: fcp.order.v1.order_mobile.OfferService.AcceptOffer:output_type -> fcp.order.v1.order_mobile.AcceptOfferResponse
	4,  // 35: fcp.order.v1.order_mobile.OfferService.ListOfferMinEffectivePrice:output_type -> fcp.order.v1.order_mobile.ListOfferMinEffectivePriceResponse
	6,  // 36: fcp.order.v1.order_mobile.OfferService.ListOfferMaxEffectivePrice:output_type -> fcp.order.v1.order_mobile.ListOfferMaxEffectivePriceResponse
	27, // 37: fcp.order.v1.order_mobile.OfferService.GetOfferFile:output_type -> fcp.order.v1.order.GetOfferFileResponse
	28, // 38: fcp.order.v1.order_mobile.OfferService.ListOfferFile:output_type -> fcp.order.v1.order.ListOfferFileResponse
	22, // [22:39] is the sub-list for method output_type
	5,  // [5:22] is the sub-list for method input_type
	5,  // [5:5] is the sub-list for extension type_name
	5,  // [5:5] is the sub-list for extension extendee
	0,  // [0:5] is the sub-list for field type_name
}

func init() { file_v1_order_mobile_offer_mobile_proto_init() }
func file_v1_order_mobile_offer_mobile_proto_init() {
	if File_v1_order_mobile_offer_mobile_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_v1_order_mobile_offer_mobile_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AcceptOfferRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_mobile_offer_mobile_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*AcceptOfferResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_mobile_offer_mobile_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ResponseMessage); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_mobile_offer_mobile_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListOfferMinEffectivePriceRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_mobile_offer_mobile_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListOfferMinEffectivePriceResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_mobile_offer_mobile_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListOfferMaxEffectivePriceRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_order_mobile_offer_mobile_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ListOfferMaxEffectivePriceResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_order_mobile_offer_mobile_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   7,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_v1_order_mobile_offer_mobile_proto_goTypes,
		DependencyIndexes: file_v1_order_mobile_offer_mobile_proto_depIdxs,
		MessageInfos:      file_v1_order_mobile_offer_mobile_proto_msgTypes,
	}.Build()
	File_v1_order_mobile_offer_mobile_proto = out.File
	file_v1_order_mobile_offer_mobile_proto_rawDesc = nil
	file_v1_order_mobile_offer_mobile_proto_goTypes = nil
	file_v1_order_mobile_offer_mobile_proto_depIdxs = nil
}
